function [A, B, C, D] = use_discretisation(N, m, omega2)

h = 1/(N-1);

% define matrices
J0p = 0.5*[1 1;1 1];
J0m = 0.5*[-1 1;1 -1]; 
 
A = zeros(2*N);
for i=1:N
  A(2*i-1:2*i,2*i-1:2*i) = -1/h*(J0p - J0m);
end
for i=1:N-1
  A(2*i-1:2*i,2*i+1:2*i+2) = -1/h*J0m;
  A(2*i+1:2*i+2,2*i-1:2*i) =  1/h*J0p;
end

B = zeros(2*N,2);
B(2*N,2) = 1/h;

C = zeros(2,2*N);
C(2,2*N-1) = 1/m;

D = zeros(2,2);
D(1,2) = 1;
D(2,1) = -omega2;
